diff --git a/books/bookvol7.1.pamphlet b/books/bookvol7.1.pamphlet
index a595b42..6d546a9 100644
--- a/books/bookvol7.1.pamphlet
+++ b/books/bookvol7.1.pamphlet
@@ -1488,6 +1488,7 @@ of operations defined by \spadtype{#1}.}
 
 @
 \pagehead{SpadNotConnectedPage}{util.ht}{Not Connected to Axiom}
+\pagefrom{Standard Pages}{HTXLinkPage2}
 <<util.ht>>=
 \begin{page}{SpadNotConnectedPage}{Not Connected to Axiom}
 \beginscroll
@@ -2042,8 +2043,8 @@ Permutation groups; representation theory.
 
 @
 \pagehead{NumberTheoryPage}{algebra.ht}{Number Theory}
-\pageto{notitle}{ugProblemGaloisPage}
-\pageto{notitle}{IntNumberTheoryFnsXmpPage}
+\pageto{Galois Groups}{ugProblemGaloisPage}
+\pageto{Number Theory Functions}{IntNumberTheoryFnsXmpPage}
 <<algebra.ht>>=
 \begin{page}{NumberTheoryPage}{Number Theory}
 \beginscroll
@@ -2063,8 +2064,8 @@ Some functions of interest to number theorists.
 @
 \section{alist.ht}
 \pagehead{AssociationListXmpPage}{alist.ht}{AssociationList}
-\pageto{notitle}{TableXmpPage}
-\pageto{notitle}{ListXmpPage}
+\pageto{Table}{TableXmpPage}
+\pageto{List}{ListXmpPage}
 <<alist.ht>>=
 \begin{page}{AssociationListXmpPage}{AssociationList}
 \beginscroll
@@ -2149,8 +2150,8 @@ see \downlink{`List'}{ListXmpPage}\ignore{List}.
 @
 \section{array1.ht}
 \pagehead{OneDimensionalArrayXmpPage}{array1.ht}{OneDimensionalArray}
-\pageto{notitle}{VectorXmpPage}
-\pageto{notitle}{FlexibleArrayXmpPage}
+\pageto{Vector}{VectorXmpPage}
+\pageto{FlexibleArray}{FlexibleArrayXmpPage}
 <<array1.ht>>=
 \begin{page}{OneDimensionalArrayXmpPage}{OneDimensionalArray}
 \beginscroll
@@ -2224,9 +2225,9 @@ Replace the first 5 elements of \spad{a} with those of \spad{b}.
 @
 \section{array2.ht}
 \pagehead{TwoDimensionalArrayXmpPage}{array2.ht}{TwoDimensionalArray}
-\pageto{notitle}{ugTypesAnyNonePage}
-\pageto{notitle}{MatrixXmpPage}
-\pageto{notitle}{OneDimensionalArrayXmpPage}
+\pageto{The Any Domain}{ugTypesAnyNonePage}
+\pageto{Matrix}{MatrixXmpPage}
+\pageto{OneDimensionalArray}{OneDimensionalArrayXmpPage}
 <<array2.ht>>=
 \begin{page}{TwoDimensionalArrayXmpPage}{TwoDimensionalArray}
 \beginscroll
@@ -3606,8 +3607,8 @@ For more information on related topics, see
 @
 \section{char.ht}
 \pagehead{CharacterXmpPage}{char.ht}{Character}
-\pageto{notitle}{CharacterClassXmpPage}
-\pageto{notitle}{StringXmpPage}
+\pageto{CharacterClass}{CharacterClassXmpPage}
+\pageto{String}{StringXmpPage}
 <<char.ht>>=
 \begin{page}{CharacterXmpPage}{Character}
 \beginscroll
@@ -3699,10 +3700,12 @@ belong to certain families.
 
 @
 \pagehead{CliffordAlgebraXmpPage}{clif.ht}{CliffordAlgebra}
-\pageto{notitle}{ugxCliffordComplexPage}
-\pageto{notitle}{ugxCliffordQuaternPage}
-\pageto{notitle}{ugxCliffordExteriorPage}
-\pageto{notitle}{ugxCliffordDiracPage}
+\pageto{The Complex Numbers as a Clifford Algebra}
+{ugxCliffordComplexPage}
+\pageto{The Quaternion Numbers as a Clifford AlgebraNo}
+{ugxCliffordQuaternPage}
+\pageto{The Exterior Algebra on a Three Space}{ugxCliffordExteriorPage}
+\pageto{The Dirac Spin Algebra}{ugxCliffordDiracPage}
 <<clif.ht>>=
 \begin{page}{CliffordAlgebraXmpPage}{CliffordAlgebra}
 \beginscroll
@@ -3748,7 +3751,7 @@ exterior algebras and spin algebras.
 @
 \pagehead{ugxCliffordComplexPage}{clif.ht}
 {The Complex Numbers as a Clifford Algebra}
-\pageto{notitle}{ComplexXmpPage}
+\pageto{Complex}{ComplexXmpPage}
 <<clif.ht>>=
 \begin{page}{ugxCliffordComplexPage}
 {The Complex Numbers as a Clifford Algebra}
@@ -3801,7 +3804,7 @@ implementing complex numbers.
 @
 \pagehead{ugxCliffordQuaternPage}{clif.ht}
 {The Quaternion Numbers as a Clifford Algebra}
-\pageto{notitle}{QuaternionXmpPage}
+\pageto{Quaternion}{QuaternionXmpPage}
 <<clif.ht>>=
 \begin{page}{ugxCliffordQuaternPage}
 {The Quaternion Numbers as a Clifford Algebra}
@@ -4809,15 +4812,15 @@ The smallest is
 @
 \section{coverex.ht}
 \pagehead{ExampleCoverPage}{coverex.ht}{Examples Of Axiom Commands}
-\pageto{notitle}{Menuexdiff}
-\pageto{notitle}{Menuexint}
-\pageto{notitle}{Menuexlap}
-\pageto{notitle}{Menuexlimit}
-\pageto{notitle}{Menuexmatrix}
-\pageto{notitle}{Menuexplot2d}
-\pageto{notitle}{Menuexplot3d}
-\pageto{notitle}{Menuexseries}
-\pageto{notitle}{Menuexsum}
+\pageto{Differentiation}{Menuexdiff}
+\pageto{Integration}{Menuexint}
+\pageto{Laplace Transforms}{Menuexlap}
+\pageto{Limits}{Menuexlimit}
+\pageto{Matrices}{Menuexmatrix}
+\pageto{2-D Graphics}{Menuexplot2d}
+\pageto{3-D Graphics}{Menuexplot3d}
+\pageto{Series}{Menuexseries}
+\pageto{Summations}{Menuexsum}
 <<coverex.ht>>=
 \begin{page}{ExampleCoverPage}{Examples Of Axiom Commands}
 \beginscroll\table{
@@ -4834,12 +4837,14 @@ The smallest is
 
 @
 \pagehead{Menuexdiff}{coverex.ht}{Differentiation}
-\pageto{notitle}{ExDiffBasic}
-\pageto{notitle}{ExDiffSeveralVariables}
-\pageto{notitle}{ExDiffHigherOrder}
-\pageto{notitle}{ExDiffMultipleI}
-\pageto{notitle}{ExDiffMultipleII}
-\pageto{notitle}{ExDiffFormalIntegral}
+\pageto{Computing Derivatives}{ExDiffBasic}
+\pageto{Derivatives of Functions of Several Variables}
+{ExDiffSeveralVariables}
+\pageto{Derivatives of Higher Order}{ExDiffHigherOrder}
+\pageto{Multiple Derivatives I}{ExDiffMultipleI}
+\pageto{Multiple Derivatives II}{ExDiffMultipleII}
+\pageto{Derivatives of Functions Involving Formal Integrals}
+{ExDiffFormalIntegral}
 <<coverex.ht>>=
 \begin{page}{Menuexdiff}{Differentiation}
 \beginscroll\beginmenu
@@ -4865,15 +4870,22 @@ The smallest is
 
 @
 \pagehead{Menuexint}{coverex.ht}{Integration}
-\pageto{notitle}{ExIntRationalFunction}
-\pageto{notitle}{ExIntRationalWithRealParameter}
-\pageto{notitle}{ExIntRationalWithComplexParameter}
-\pageto{notitle}{ExIntTwoSimilarIntegrands}
-\pageto{notitle}{ExIntNoSolution}
-\pageto{notitle}{ExIntTrig}
-\pageto{notitle}{ExIntAlgebraicRelation}
-\pageto{notitle}{ExIntRadicalOfTranscendental}
-\pageto{notitle}{ExIntNonElementary}
+\pageto{Integral of a Rational Function}{ExIntRationalFunction}
+\pageto{Integral of a Rational Function with a Real Parameter}
+{ExIntRationalWithRealParameter}
+\pageto{Integral of a Rational Function with a Complex Parameter}
+{ExIntRationalWithComplexParameter}
+\pageto{Two Similar Integrands Producing Very Different Results}
+{ExIntTwoSimilarIntegrands}
+\pageto{An Integral Which Does Not Exist}{ExIntNoSolution}
+\pageto{A Trigonometric Function of a Quadratic}{ExIntTrig}
+\pageto{Integrating a Function with a Hidden Algebraic Relation}
+{ExIntAlgebraicRelation}
+\pageto{Details for integrating a function with a Hidden Algebraic Relation}
+{ExIntAlgebraicRelationExplain}
+\pageto{An Integral Involving a Root of a Transcendental Function}
+{ExIntRadicalOfTranscendental}
+\pageto{An Integral of a Non-elementary Function}{ExIntNonElementary}
 <<coverex.ht>>=
 \begin{page}{Menuexint}{Integration}
 \beginscroll\beginmenu
@@ -4912,16 +4924,18 @@ The smallest is
 
 @
 \pagehead{Menuexlap}{coverex.ht}{Laplace Transforms}
-\pageto{notitle}{ExLapSimplePole}
-\pageto{notitle}{ExLapTrigTrigh}
-\pageto{notitle}{ExLapDefInt}
-\pageto{notitle}{ExLapExpExp}
-\pageto{notitle}{ExLapSpecial1}
-\pageto{notitle}{ExLapSpecial2}
+\pageto{Laplace transform with a single pole}{ExLapSimplePole}
+\pageto{Laplace transform of a trigonometric function}
+{ExLapTrigTrigh}
+\pageto{Laplace transform requiring a definite integration}
+{ExLapDefInt}
+\pageto{Laplace transform of exponentials}{ExLapExpExp}
+\pageto{Laplace transform of an exponential integral}{ExLapSpecial1}
+\pageto{Laplace transform of special functions}{ExLapSpecial2}
 <<coverex.ht>>=
 \begin{page}{Menuexlap}{Laplace Transforms}
 \beginscroll\beginmenu
-\menudownlink{Laplace transform with a single pole}{ExLapSimplePole}
+\menudownlink
 \spadpaste{laplace(t**4 * exp(-a*t) / factorial(4), t, s)}
 \menudownlink{Laplace transform of a trigonometric function}
 {ExLapTrigTrigh}
@@ -4939,13 +4953,13 @@ The smallest is
 
 @
 \pagehead{Menuexlimit}{coverex.ht}{Limits}
-\pageto{notitle}{ExLimitBasic}
-\pageto{notitle}{ExLimitParameter}
-\pageto{notitle}{ExLimitOneSided}
-\pageto{notitle}{ExLimitTwoSided}
-\pageto{notitle}{ExLimitInfinite}
-\pageto{notitle}{ExLimitRealComplex}
-\pageto{notitle}{ExLimitComplexInfinite}
+\pageto{Computing Limits}{ExLimitBasic}
+\pageto{Limits of Functions with Parameters}{ExLimitParameter}
+\pageto{One-sided Limits}{ExLimitOneSided}
+\pageto{Two-sided Limits}{ExLimitTwoSided}
+\pageto{Limits at Infinity}{ExLimitInfinite}
+\pageto{Real Limits vs. Complex Limits}{ExLimitRealComplex}
+\pageto{Complex Limits at Infinity}{ExLimitComplexInfinite}
 <<coverex.ht>>=
 \begin{page}{Menuexlimit}{Limits}
 \beginscroll\beginmenu
@@ -4973,12 +4987,13 @@ The smallest is
 
 @
 \pagehead{Menuexmatrix}{coverex.ht}{Matrices}
-\pageto{notitle}{ExMatrixBasicFunction}
-\pageto{notitle}{ExConstructMatrix}
-\pageto{notitle}{ExTraceMatrix}
-\pageto{notitle}{ExDeterminantMatrix}
-\pageto{notitle}{ExInverseMatrix}
-\pageto{notitle}{ExRankMatrix}
+\pageto{Basic Arithmetic Operations on Matrices}
+{ExMatrixBasicFunction}
+\pageto{Constructing new Matrices}{ExConstructMatrix}
+\pageto{Trace of a Matrix}{ExTraceMatrix}
+\pageto{Determinant of a Matrix}{ExDeterminantMatrix}
+\pageto{Inverse of a Matrix}{ExInverseMatrix}
+\pageto{Rank of a Matrix}{ExRankMatrix}
 <<coverex.ht>>=
 \begin{page}{Menuexmatrix}{Matrices}
 \beginscroll\beginmenu
@@ -5017,10 +5032,10 @@ determinant(matrix([[1,2,3,4],[2,3,2,5],[3,4,5,6],[4,1,6,7]]))}
 
 @
 \pagehead{Menuexplot2d}{coverex.ht}{2-D Graphics}
-\pageto{notitle}{ExPlot2DFunctions}
-\pageto{notitle}{ExPlot2DParametric}
-\pageto{notitle}{ExPlot2DPolar}
-\pageto{notitle}{ExPlot2DAlgebraic}
+\pageto{Plotting Functions of One Variable}{ExPlot2DFunctions}
+\pageto{Plotting Parametric Curves}{ExPlot2DParametric}
+\pageto{Plotting Using Polar Coordinates}{ExPlot2DPolar}
+\pageto{Plotting Plane Algebraic Curves}{ExPlot2DAlgebraic}
 <<coverex.ht>>=
 \begin{page}{Menuexplot2d}{2-D Graphics}
 \beginscroll\beginmenu
@@ -5036,9 +5051,9 @@ determinant(matrix([[1,2,3,4],[2,3,2,5],[3,4,5,6],[4,1,6,7]]))}
 
 @
 \pagehead{Menuexplot3d}{coverex.ht}{3-D Graphics}
-\pageto{notitle}{ExPlot3DFunctions}
-\pageto{notitle}{ExPlot3DParametricSurface}
-\pageto{notitle}{ExPlot3DParametricCurve}
+\pageto{Plotting Functions of Two Variables}{ExPlot3DFunctions}
+\pageto{Plotting Parametric Surfaces}{ExPlot3DParametricSurface}
+\pageto{Plotting Parametric Curves}{ExPlot3DParametricCurve}
 <<coverex.ht>>=
 \begin{page}{Menuexplot3d}{3-D Graphics}
 \beginscroll\beginmenu
@@ -5055,10 +5070,11 @@ u=0..\%pi,v=0..2*\%pi)}
 
 @
 \pagehead{Menuexseries}{coverex.ht}{Series}
-\pageto{notitle}{ExSeriesConvert}
-\pageto{notitle}{ExSeriesManipulate}
-\pageto{notitle}{ExSeriesFunctions}
-\pageto{notitle}{ExSeriesSubstitution}
+\pageto{Converting Expressions to Series}{ExSeriesConvert}
+\pageto{Manipulating Power Series}{ExSeriesManipulate}
+\pageto{Functions on Power Series}{ExSeriesFunctions}
+\pageto{Substituting Numerical Values in Power Series}
+{ExSeriesSubstitution}
 <<coverex.ht>>=
 \begin{page}{Menuexseries}{Series}
 \beginscroll\beginmenu
@@ -54194,9 +54210,6 @@ to the Axiom system directory and will look for
 these files in
 {\bf \$AXIOM/doc/hypertex/bitmaps}.
 
-
-
-
 \end{scroll}
 \beginmenu
 \menulink{Next -- Active Axiom commands}{HTXLinkPage3}
@@ -120057,10 +120070,13 @@ PAGELIST= ${PHT} algebra aspex basic  bmcat cphelp expose gloss  \
     nagx newuser record releasenotes rootpage topics type ug00 ug05 \
     ug14 ug16 ug21 ug union util xmpexp 
 
+
+
 HYPER=${MNT}/${SYS}/doc/hypertex/pages
+PAGEFILE=${HYPER}/bookvol7.1.pamphlet
 SMAN=${MNT}/${SYS}/bin/sman
 
-all: dir ${PAGELIST} ${PAGES}/ht.db
+all: dir ${PAGEFILE} ${HYPER}/ht.db
 	@echo 3 finished ${BOOK}
 
 dir:
@@ -120068,6 +120084,15 @@ dir:
 	@mkdir -p ${WORK}
 	@mkdir -p ${HYPER}
 
+@
+Due to the awesome programming skills of Scott Morrison
+the htadd program will use the original source file in
+literate form to build the ht.db
+<<*>>=
+${PAGEFILE}: ${BOOK}
+	@echo 1 making ${PAGEFILE} from ${BOOK}
+	@cp ${BOOK} ${PAGEFILE}
+
 %:
 	@echo 1 making ${HYPER}/$*.ht from ${BOOK}
 	@${TANGLE} -R"$*.ht" ${BOOK} >${HYPER}/$*.ht
@@ -120084,8 +120109,8 @@ Ulimately the commented loop needs to be fixed and the line:
 should be removed.
 <<*>>=
 
-${PAGES}/ht.db: ${BOOK}
-	@echo 2 making ${PAGES} from ${BOOK}
+${HYPER}/ht.db: ${BOOK}
+	@echo 2 making ${HYPER} from ${BOOK}
 #	@ (cd ${HYPER} ; \
 #	   htadd *.ht ; \
 #           for j in ${PHT} ; do \
@@ -120096,7 +120121,7 @@ ${PAGES}/ht.db: ${BOOK}
 	@ (cd ${HYPER} ; \
            rm -f ht.db ; \
            rm -f *~ ; \
-	   htadd *.ht *.pht )
+	   htadd ${PAGEFILE} *.pht )
 	@ cp -pr ${IN}/bitmaps ${HYPER}
 	@ cp -pr ${IN}/viewports ${MNT}/${SYS}/doc
 
diff --git a/books/bookvol7.pamphlet b/books/bookvol7.pamphlet
index 82a3d03..776042b 100644
--- a/books/bookvol7.pamphlet
+++ b/books/bookvol7.pamphlet
@@ -1591,12 +1591,22 @@ static int strpostfix(char *s, char *t) {
 
 @
 \subsection{extendHT}
-Just checks the name and adds a .ht if needed.
+If the filename does not end with the string ``.pamphlet'',
+or ``.ht'', or ``.pht'', then add ``.ht'' as the default.
+System pages live in the bookvol7.1.pamphlet file but user
+pages can live in .ht files. The .pht files are the ``paste''
+files which are cached results of computations available
+when hyperdoc is running without Axiom. 
+
+For system pages we hand generate the paste files and add
+them to the hyperdoc volume.
 \index{shared!extendHT}
 \index{extendHT shared}
 <<extendHT>>=
 void extendHT(char *name) {
-    if (!strpostfix(name, ".ht") && !strpostfix(name, ".pht"))
+    if (!strpostfix(name, ".pamphlet") && 
+        !strpostfix(name, ".ht") && 
+        !strpostfix(name, ".pht"))
         strcat(name, ".ht");
     return;
 }
@@ -1639,8 +1649,9 @@ static int buildHtFilename(char *fname, char *aname, char *name) {
         /** add  the .ht extension if needed **/
         extendHT(aname);
         extendHT(fname);
-        /* fprintf(stderr, "TPDHERE:ht_open_file: name=%s aname=%s fname=%s\n",
-                   name,aname,fname); */
+       /*fprintf(stderr, 
+           "TPDHERE:ht_open_file:2: name=%s aname=%s fname=%s\n",
+            name,aname,fname); */
 
         /* Now just try to access the file */
         return (access(fname, R_OK));
@@ -20615,7 +20626,7 @@ all: ${OUTLIB}/spadbuf ${OUTLIB}/ex2ht ${OUTBIN}/htadd ${OUTLIB}/hthits \
 
 ${OUTLIB}/spadbuf: ${BOOK} 
 	@ echo 1 making ${OUTLIB}/spadbuf from ${BOOK}
-	 (cd ${WORK} ; \
+	@ (cd ${WORK} ; \
            ${TANGLE} -R"spadbuf" ${BOOK} >spadbuf.c ; \
 	   ${CC} -I${INC} ${CFLAGS} spadbuf.c -o ${OUTLIB}/spadbuf ${LDFLAGS} )
 
diff --git a/changelog b/changelog
index 524cdbb..8e4e4d7 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20080802 tpd books/bookvol7.1 copy the whole file to pages
+20080802 tpd books/bookvol7 make extendHT accept .pamphlet
+20080802 tpd src/share/Makefile do not copy util.ht
 20080729 tpd books/bookvol7.1 update more on general info
 20080729 tpd books/ps/v71factoredfnstwoxmppage.eps added
 20080729 tpd books/ps/v71factoredxmppage.eps added
diff --git a/src/share/Makefile.pamphlet b/src/share/Makefile.pamphlet
index dd6a4ba..ba1ccf1 100644
--- a/src/share/Makefile.pamphlet
+++ b/src/share/Makefile.pamphlet
@@ -10,17 +10,6 @@ Files in the share directory are common to all of the system builds.
 \eject
 \tableofcontents
 \eject
-\section{util.ht}
-This file is the magic 'first page' that gets displayed when
-Hyperdoc starts. There is a macro (see [[./doc/hypertex/pages/util.ht]])
-called /localinfo which is intended to allow the luser to add
-her own pages without modifying the system copies. 
-<<util.ht>>=
-${HYPER}/util.ht: ${IN}/doc/hypertex/pages/util.ht
-	@ echo 1 making ${HYPER}/util.ht from ${IN}/doc/hypertex/pages/util.ht
-	@ cp ${IN}/doc/hypertex/pages/util.ht ${HYPER}/util.ht 
-
-@
 \section{command.list}
 The [[command.list]] file contains command completion strings used by
 the [[clef]] command line editor function. In the NAG version this 
@@ -37,7 +26,7 @@ IN=${SRC}/share
 HYPER=${MNT}/${SYS}/doc/hypertex/pages
 LIB=${MNT}/${SYS}/lib
 
-FILES=${HYPER}/util.ht ${LIB}/command.list
+FILES=${LIB}/command.list
 
 all: ${FILES}
 	@ echo 3 finished ${IN}
@@ -45,7 +34,6 @@ all: ${FILES}
 clean:
 	@echo 4 cleaning ${SRC}/share
 
-<<util.ht>>
 <<command.list>>
 @
 \eject
